
Figure - Bug #118624
【IOVDEV-26762】【IOV测试】【VC1】【SORP】【语音】【设置】【实车】反复点击息屏模式，会出现退
出息屏模式后，仅中控屏息屏按钮打开状态。
2023-06-07 17:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-07

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 03.02.0082.C101

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前置条件】

语音准备完成

【操作步骤】

反复点击：全部息屏

【预期结果】

退出息屏模式后，按钮全部未打开

【实际结果】

出现“仅中控屏”息屏按钮打开的情况

详见附件视频

【备注】

时间：5/9 9：56

VIN：LJD8BC3F3P0000310

History

#1 - 2023-06-07 17:55 - CDTS_Test 吴诗雨

- File screenshot-20230607-175448.png added

详细情况请看截图，云端日志已上传。

#2 - 2023-06-07 21:30 - CD FW-程天颖

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

■ Current conclusion

分析出原因极大可能是副屏版本不对

■ My analysis

从副屏未打印上报屏幕状态的日志给中控

副屏收到中控的息屏指令：

05-27 14:30:04.993  2153 15990 I MicroService: getStringByData:

{"srcService":"IDCM_MultiScreenService","dstService":"FSEM_SettingService","messageType":0,"uuid":2709877191309,"methodName":"setScreenDisplay","parameters":{"

ScreenDisplay":0}}

05-27 14:30:04.993  2153 15990 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_MultiScreenService',
destService='FSEM_SettingService', messageType='0', uuid='2709877191309',

payloadData={"srcService":"IDCM_MultiScreenService","dstService":"FSEM_SettingService","messageType":0,"uuid":2709877191309,"methodName":"setScreenDisplay","

parameters":{"ScreenDisplay":0}}}

05-27 14:30:04.993  2153 15990 I MicroService: dealMessage: 0

05-27 14:30:04.993  2153 15990 I MicroService: onRequest(setScreenDisplay): {"ScreenDisplay":0}

05-27 14:30:04.993  2165  4504 D MicroSettings: ITCMicroCommonCallback: get request method = setScreenDisplay parameters = {"ScreenDisplay":0}

05-27 14:30:04.994  2165  4504 E MicroSettings: NullAction: Do NullAction! ------- Info: Have no action match setScreenDisplay

根据日志来看，微设定中还未制作setScreenDisplay功能，从tlog的结构来看，该日志是很古老的tlog版本，严重怀疑测试环境中的副屏版本不是最新的

■ Next action

请确认测试环境中的副屏版本

#3 - 2023-06-09 18:54 - CDTS_Test 吴诗雨

已同步

#4 - 2023-07-03 17:40 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户使用的副屏版本过低

#5 - 2023-07-03 17:40 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#6 - 2023-07-03 17:40 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

息屏模式.mp4 1.53 MB 2023-06-07 CDTS_Test 吴诗雨

screenshot-20230607-174434.png 258 KB 2023-06-07 CDTS_Test 吴诗雨

screenshot-20230607-174518.png 107 KB 2023-06-07 CDTS_Test 吴诗雨

screenshot-20230607-174504.png 851 KB 2023-06-07 CDTS_Test 吴诗雨

IOVDEV-26762.zip 4.26 MB 2023-06-07 CDTS_Test 吴诗雨

1686131611601.zip 3.67 MB 2023-06-07 CDTS_Test 吴诗雨

screenshot-20230607-175448.png 24 KB 2023-06-07 CDTS_Test 吴诗雨
